OpenVDB: OffMaskIterator< NodeMask > Class Template Reference

OpenVDB 12.0.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OffMaskIterator< NodeMask > Class Template Reference

`#include <openvdb/util/NodeMasks.h>`

Inheritance diagram for OffMaskIterator< NodeMask >:

## Public Member Functions
| OffMaskIterator ()
| OffMaskIterator (Index32 pos, const NodeMask *parent)
void | increment ()
void | increment (Index n)
bool | next ()
bool | operator* () const
OffMaskIterator & | operator++ ()
bool | operator== (const BaseMaskIterator &iter) const
bool | operator!= (const BaseMaskIterator &iter) const
bool | operator< (const BaseMaskIterator &iter) const
Index32 | offset () const
Index32 | pos () const
bool | test () const
| operator bool () const

## Constructor & Destructor Documentation

## ◆ OffMaskIterator() [1/2]

template<typename NodeMask>

OffMaskIterator | ( |  | ) |
| inline

## ◆ OffMaskIterator() [2/2]

template<typename NodeMask>

OffMaskIterator | ( | Index32 | pos,
|  | const NodeMask * | parent )
| inline

## Member Function Documentation

## ◆ increment() [1/2]

template<typename NodeMask>

void increment | ( |  | ) |
| inline

## ◆ increment() [2/2]

template<typename NodeMask>

void increment | ( | Index | n | ) |
| inline

## ◆ next()

template<typename NodeMask>

bool next | ( |  | ) |
| inline

## ◆ offset()

template<typename NodeMask>

Index32 offset | ( |  | ) | const
| inlineinherited

## ◆ operator bool()

template<typename NodeMask>

operator bool | ( |  | ) | const
| inlineinherited

## ◆ operator!=()

template<typename NodeMask>

bool operator!= | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const
| inlineinherited

## ◆ operator*()

template<typename NodeMask>

bool operator* | ( |  | ) | const
| inline

## ◆ operator++()

template<typename NodeMask>

OffMaskIterator & operator++ | ( |  | ) |
| inline

## ◆ operator<()

template<typename NodeMask>

bool operator< | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const
| inlineinherited

## ◆ operator==()

template<typename NodeMask>

bool operator== | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const
| inlineinherited

## ◆ pos()

template<typename NodeMask>

Index32 pos | ( |  | ) | const
| inlineinherited

## ◆ test()

template<typename NodeMask>

bool test | ( |  | ) | const
| inlineinherited